Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.xmp.schemas.pdf
Class AdobePDFAdapter

    java.lang.Object
      org.apache.xmlgraphics.xmp.XMPSchemaAdapter
          org.apache.xmlgraphics.xmp.schemas.pdf.AdobePDFAdapter

    public class AdobePDFAdapter

extends XMPSchemaAdapter

Schema adapter implementation for the Adobe PDF schema.

Field Summary

Fields inherited from class org.apache.xmlgraphics.xmp.XMPSchemaAdapter
`meta`

Constructor Summary
`AdobePDFAdapter(Metadata meta, String namespace)` Constructs a new adapter for Adobe PDF around the given metadata object.

Method Summary
`String` | `getKeywords()`
`String` | `getPDFVersion()`
`String` | `getProducer()`
`void` | `setKeywords(String value)` Sets the keywords.
`void` | `setPDFVersion(String value)` Sets the PDF version
`void` | `setProducer(String value)` Sets the name of the tool that produced the PDF document
`void` | `setTrapped(String v)` Sets if the pdf has trapping information True or False

Methods inherited from class org.apache.xmlgraphics.xmp.XMPSchemaAdapter
`addDateToSeq, addObjectToArray, addStringToBag, addStringToSeq, findQualifiedStructure, findQualifiedValue, formatISO8601Date, formatISO8601Date, getDateArray, getDateValue, getLangAlt, getObjectArray, getQName, getSchema, getStringArray, getValue, removeLangAlt, removeStringFromArray, setCompact, setDateValue, setLangAlt, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdobePDFAdapter

    public AdobePDFAdapter(Metadata meta,
                           String namespace)

  Constructs a new adapter for Adobe PDF around the given metadata object.

  Parameters:
    `meta` - the underlying metadata

Method Detail

### getKeywords

    public String getKeywords()

  Returns:
    the keywords

### setKeywords

    public void setKeywords(String value)

  Sets the keywords.

  Parameters:
    `value` - the keywords

### getPDFVersion

    public String getPDFVersion()

  Returns:
    the PDF version

### setPDFVersion

    public void setPDFVersion(String value)

  Sets the PDF version

  Parameters:
    `value` - the PDF version (ex. "1.4")

### getProducer

    public String getProducer()

  Returns:
    the name of the tool that produced the PDF document

### setProducer

    public void setProducer(String value)

  Sets the name of the tool that produced the PDF document

  Parameters:
    `value` - the producer

### setTrapped

    public void setTrapped(String v)

  Sets if the pdf has trapping information True or False

  Parameters:
    `v` - the value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.